# vim: set sw=4 ts=4 et nu:

Name:               bpmdj
Version:            4.2+pl3
%define pkg_version 4.2-pl3
Release:            2.7
Summary:            DJ System
Source:             ftp://bpmdj.yellowcouch.org/bpmdj/bpmdj-v%{pkg_version}.tar.bz2
Patch0:             bpmdj-4.2+pl3-gcc47.diff
URL:                http://bpmdj.yellowcouch.org/index.html
Group:              Productivity/Multimedia/Sound/Mixers
License:            GNU General Public License version 2 or later (GPL v2 or later)
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      boost-devel
BuildRequires:      libqt4-devel
BuildRequires:      alsa-devel
BuildRequires:      fftw3-devel
BuildRequires:      jack-devel
BuildRequires:      gcc-c++ make glibc-devel pkgconfig
BuildRequires:      update-desktop-files
Requires:           /usr/bin/lame
Requires:           /usr/bin/mplayer
Requires:           /usr/bin/oggenc
Requires:           /usr/bin/mpg123
Requires:           /usr/bin/flac

%description
BpmDj turns your Linux machine (or cluster) into a DJ system. BpmDj plays
Mp3's/Ogg's, provides a fully automatic BPM counter, measures sound color,
recognizes similar rhythms and compositions. Aside from music analysis, it also
provides the meat each DJ looks for: a full fledged QT interface, that will
help you navigate your music collection. The BpmDj player matches tempos
automatically. Its unique visualization method, (beatgraphs) helps you to
understand the songs structure at a glance.

%prep
%setup -q -c "%{name}-%{version}"
%patch0 -p1
# get rid of makefile silence
find . -type f -name makefile -o -name sources -o -name compile | while read f; do
    echo "=== patching $f"
    %__perl -p -i -e 's/@(make|gcc|g\+\+|\Q$(CPP)\E|\Q$(LINK)\E)/$1/g ; s/(make\s.*)-s/$1/; s/(make\s.*)--no-print-directory/$1/' "$f"
done

%build
cat<<EOF >defines
%ifarch x86_64
BITS            = 64
%else
BITS            = 32
%endif
CPP             = %__cxx
RCC             = rcc
UIC             = uic
MOC             = moc
CFLAGS         += -DCOMPILE_ALSA -DCOMPILE_JACK $(pkg-config --cflags alsa fftw3 jack) %{optflags}
LDFLAGS        += -pthread -lm $(pkg-config --libs alsa fftw3 jack) -lrt
QT_INCLUDE_PATH = $(pkg-config --cflags QtGui)
QT_LIBRARY_PATH =
QT_LIBS         = $(pkg-config --libs QtGui)
EOF

export SUSE_ASNEEDED=0
%__make VERSION="%{pkg_version}"

%install
%__install -d "%{buildroot}%{_bindir}"
%__install -m0755 bpmcount bpmdj bpmmerge bpmplay bpmdjraw "%{buildroot}%{_bindir}/"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc *.txt
%{_bindir}/bpmcount
%{_bindir}/bpmdj
%{_bindir}/bpmdjraw
%{_bindir}/bpmmerge
%{_bindir}/bpmplay

%changelog
* Sat May 19 2012 seife+obs@b1-systems.com
- fix build with gcc 4.7
* Wed Dec 28 2011 pascal.bleser@opensuse.org
- initial version (4.2+pl3)
